# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-UNIVERSAL-exports
Version:        0.05
Release:        alt1_16
Summary:        Lightweight, universal exporting of variables
Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/UNIVERSAL-exports/
Source0:        http://backpan.perl.org/authors/id/M/MS/MSCHWERN/UNIVERSAL-exports-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Exporter/Lite.pm)
# Tests:
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Exporter/Lite.pm) >= 0.01

# Filter bogus provide for perl(UNIVERSAL) (rpm 4.9 onwards)

# Filter under-specified dependencies

Source44: import.info
%filter_from_provides /^^perl\\(UNIVERSAL\\)/d
%filter_from_requires /^^perl\\(Exporter::Lite\\)$/d

%description
%{summary}.

%prep
%setup -q -n UNIVERSAL-exports-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/UNIVERSAL/


%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_16
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_15
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_13
- fc import

